<%-- 
    Document   : exportarUsuarioDocente
    Created on : 05/12/2014, 08:59:17 AM
    Author     : sistem16user
--%>

<%@page import="pe.siso.horario.Services.MeritoServices"%>
<%@page import="pe.siso.horario.Beans.Merito"%>
<%@page import="pe.siso.horario.Beans.ZonaDistrito"%>
<%@page import="pe.siso.horario.Services.ZonaDistritoServices"%>
<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="java.util.Calendar"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="pe.siso.horario.Services.DisponibilidadServices"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<% 
        ArrayList<Merito> listaColumnaPeriodo = null;
        ArrayList<Merito> lista = null;
        MeritoServices servicios1 = new MeritoServices();
        String codigoPeriodoAcademico = request.getParameter("periodoAcademico");
        
        listaColumnaPeriodo = servicios1.listaColumnaPeriodo(codigoPeriodoAcademico);
        lista = servicios1.listaTablaMerito(codigoPeriodoAcademico);
        

%>

<!DOCTYPE html>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%
        
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
            
            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=PromedioAnual.xls");
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "";
            
            Calendar cal1 = Calendar.getInstance();
           
            int dia = cal1.get(Calendar.DATE);
            int mes = cal1.get(Calendar.MONTH)+1;
            int hora = cal1.get(Calendar.HOUR_OF_DAY);
            int minuto = cal1.get(Calendar.MINUTE);
            int segundo = cal1.get(Calendar.SECOND);
            String diaAc = "";
            String mesAc = "";
            String hrAc = "";
            String minAc = "";
            String secAc = "";

            int horaAc = 0;
            String perDia = "";

            if(dia<10){ diaAc = "0"+dia; }else{ diaAc = ""+dia;}

            if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

            if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

            if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }

            if(hora<12){ 
             perDia="am."; 
             if(hora<10 && hora>0){
                 hrAc="0"+hora;
                 }else if(hora==0){
                     hrAc="12";
                 }else{
                     hrAc=""+hora; 
                 }  
             }else{
                 if(hora==12){
                     hrAc="12";
                 }else{
                     horaAc=hora-12;
                     if(horaAc<10){
                         hrAc="0"+horaAc;
                     }else{
                         hrAc = ""+horaAc;
                     }
                 }
                 perDia="pm.";
            }
            int cant = ((listaColumnaPeriodo.size())*2)+3;
            int cant2 = ((listaColumnaPeriodo.size())*2)+1;
        %>
       <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td <%=centrado%> colspan='<%=cant%>' align='center'><h3>REPORTE GENERAL PROMEDIO ANUAL</h3></td>
            </tr> 
            <tr>
               <td colspan='<%=cant%>' height='10'></td>
            </tr> 
            <tr>
               <td colspan='2' ></td>
               <td colspan='<%=cant2%>' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
               <td colspan='2' >FUENTE: SISTEMA DE HORARIOS</td>
               <td colspan='<%=cant2%>' align='right'>RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
            </tr> 
            <tr>
               <td colspan='2' >REGISTROS:<%=lista.size()%> </td>
               <td colspan='<%=cant2%>' align='right'>ACTUALIZACIÓN: <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc+" "+perDia%></td>
            </tr> 
            <tr>
               
                <td <%=borderColorTitulo%> align='center'>N°</td>                                        
                <td <%=borderColorTitulo%> align='center'>APELLIDOS Y NOMBRES </td>
            <%
                if(listaColumnaPeriodo.size() != 0){
                    int contar = 1;
                    for(int p=0; p<listaColumnaPeriodo.size();p++){
                        int[] numR = {1,2,3,4,5,6,7};
                        String[] numRo = {"I","II","III","VI","V","VI","VII"};
                        for(int n=0; n<numRo.length;n++){
                            if(numR[n]==contar){
                                String nombreExam = "PLANA BIMESTRE "+numRo[n];
            %>
                <td <%=borderColorTitulo%> align='center'><%=nombreExam%></td>
            <%
                            }
                        }
                        contar++;
                    }
                    int contar2 = 1;
                    for(int p2 = 0; p2<listaColumnaPeriodo.size();p2++){
                        int[] numR = {1,2,3,4,5,6,7};
                        String[] numRo = {"I","II","III","VI","V","VI","VII"};                                        
                        for(int n = 0; n < numRo.length; n++){
                            if(numR[n]==contar2){
                                String nombreEnc = "ENCUESTA BIMESTRE "+(numRo[n]);
            %>
                <td <%=borderColorTitulo%> align='center'><%=nombreEnc%></td>

            <%
                            } 
                        }
                        contar2++;
                    } 
                }     
            %>
               <td <%=borderColorTitulo%> align='center'>PROMEDIO</td>
            </tr>
            <%
                int cont = 1;
                String color = "";
                 for(int i=0;i<lista.size();i++){
                    if(cont%2==0){ 
                        estilo=borderColor; 
                    }else{
                        estilo=border; 
                    }
                    String codigoDocente = lista.get(i).getCodigoProfesor();
                    String nombreDocente = lista.get(i).getNombreProfesor();
                    
                    if(codigoDocente.charAt(0) == 'P'){
                        if(cont%2==0){ 
                            estilo="style='background-color:#F4B084;border:solid 0.5pt #000000;vertical-align:middle;'";
                        }else{
                            estilo="style='background-color:#FCE4D6;border:solid 0.5pt #000000;vertical-align:middle;'";
                        }
                    }
            %>
                <tr <%=color%>>  
                    <td <%=estilo%> align='center'><%=cont%></td>
                    <td <%=estilo%> ><%=nombreDocente%></td>
            <%
                    String cadena= lista.get(i).getCadena();
                    String[] Array1 = cadena.split("#");
                    for(int a=0; a<Array1.length; a++){
                        if(Array1[a].equals("vacio")){
                           Array1[a] = "-"; 
                        }else if(Array1[a].equals("Sin puntaje")){
                            Array1[a] = "<span >Sin puntaje</span>";
                        }
            %>
                    <td <%=estilo%> style="mso-number-format:'#0.00'" align='center'><%=Array1[a]%></td>
            <%        
                    }
                    String promedio = lista.get(i).getPromedio();
                    String span = "";
                    double prom=0;
                    if(!promedio.equals("-")){
                        prom = Double.parseDouble(promedio);

                        if(prom>8.49 && prom<=10){
                            span = "";
                        }else if(prom<8.5){
                            span = "red";
                        }
                    }
            %>
                    <td <%=estilo%> align='center' style="mso-number-format:'#0.00'"><span style='color:<%=span%>'><%=promedio%></span></td>
                </tr>
            <%        cont++;
                }
            %>
            <tr>
                <td></td>
                
            </tr>
        <tr>
            <td  colspan='6' height='50'></td>
        </tr>
        <tr>
            <td  colspan='6' height='50'></td>
        </tr>
        
        </table>
    
    
    </body>
    
</html>
